#ifndef _I2CLCD
#define _I2CLCD

#include "Timer.h"
/*
 * 2012/08/18 mini LCD@\ǉ
 */
#include "i2c.h"

class I2CLCD : public i2c, public Timer
{
  private:
    int MaxChNum;
    void init();
  public:
    int chCount;
    unsigned char LCD_WRITE;
    I2CLCD();
    I2CLCD(int n);
 
    void write(unsigned char control, unsigned char  dt);
    void write(unsigned char ch);
    void write(char* ch);
    void writeInt(int x);
    void write(int x, int column, char zeroPad);
    void setIcon(int x);
    void home();
    void clear();
    void setCG(char mode, char* cgData);
};
#endif
