#ifndef _NXTMOTOR
#define _NXTMOTOR
#include "MCPWM.h"
#include "interruptClass.h"

class NXTMotor : public MCPWM, public interruptClass
{
private:
  long speed; 
public:
  static int levelPort, levelBit0, levelBit1;
  NXTMotor();
  NXTMotor(int port, int bit, int intr);
  void init(int port, int bit0, int bit1,
     int intr0, int edge0, int intr1, int edge1);
  void resetMove();
  void move(int count);
  void setSpeed(long speed);
};

#endif
