#ifndef _LEGOMOTOR
#define _LEGOMOTOR
#include "MCPWM.h"
#include "interruptClass.h"

class LegoMotor : public MCPWM, public interruptClass
{
private:
  long speed;
  int  counter;
  int  state;
public:
  static int levelPort, levelBit;
  LegoMotor();
  LegoMotor(int port, int bit, int intr);
  void resetMove();
  void move(int target);
  int getState();
  void setSpeed(long speed);
};

#endif
